export type __ALL__ = Collection | Account | Database | Monitor | MonitorCollection | Query | QueryCollection | Check | CheckCollection;
export type MonitorCollection = Collection & {
    member: Monitor[];
};
export type QueryCollection = Collection & {
    member: Query[];
};
export type CheckCollection = Collection & {
    member: Check[];
};
export interface Collection {
    totalItems: number;
    view?: {
        next: string;
    };
}
export interface Account {
    email: string;
    apiKey: string;
}
export interface Database {
    id: string;
    name: string;
}
export interface Monitor {
    id: string;
    account: string;
    name: string;
    connectionString: string;
    created: string;
}
export interface Query {
    id: string;
    type: string;
    account: string;
    check: string;
    userId: string;
    databaseId: string;
    query: string;
    value: string | number;
}
export interface Check {
    id: string;
    account: string;
    monitor: string;
    created: string;
    databases: Database[];
    connections: {
        [k: string]: unknown;
    };
    totalConnections: number;
    queryCount: number;
    totalCalls: number;
    totalExecutionTime: number;
    totalConsumedIo: number;
    totalRows: number;
    totalLongRunningTransactions: number;
}
