export class PostgresCheckApiSdk {
    caller;
    constructor(caller) {
        this.caller = caller;
    }
    async getMonitors(headers = {}, config = {}) {
        const resource = '/monitor';
        const path = `/monitor`;
        const result = await this.caller.call('GET', resource, path, undefined, {}, {}, {}, headers, config);
        if (result.statusCode === 200) {
            return { statusCode: 200, headers: result.headers, result: JSON.parse(result.body) };
        }
        else if (result.statusCode === 400) {
            return { statusCode: 400, headers: result.headers, result: result.body };
        }
        else if (result.statusCode === 401) {
            return { statusCode: 401, headers: result.headers, result: result.body };
        }
        else if (result.statusCode === 403) {
            return { statusCode: 403, headers: result.headers, result: result.body };
        }
        else if (result.statusCode === 500) {
            return { statusCode: 500, headers: result.headers, result: result.body };
        }
        throw new Error(`Unknown status ${result.statusCode} returned from ${path}`);
    }
    async createMonitor(body, headers = {}, config = {}) {
        const resource = '/monitor';
        const path = `/monitor`;
        const result = await this.caller.call('POST', resource, path, JSON.stringify(body), {}, {}, {}, headers, config);
        if (result.statusCode === 201) {
            return { statusCode: 201, headers: result.headers, result: JSON.parse(result.body) };
        }
        else if (result.statusCode === 400) {
            return { statusCode: 400, headers: result.headers, result: result.body };
        }
        else if (result.statusCode === 401) {
            return { statusCode: 401, headers: result.headers, result: result.body };
        }
        else if (result.statusCode === 403) {
            return { statusCode: 403, headers: result.headers, result: result.body };
        }
        else if (result.statusCode === 500) {
            return { statusCode: 500, headers: result.headers, result: result.body };
        }
        throw new Error(`Unknown status ${result.statusCode} returned from ${path}`);
    }
    async getChecks(params, queryParameters, multiQueryParameters, headers = {}, config = {}) {
        const resource = '/monitor/{monitorId}/check';
        const path = `/monitor/${params.monitorId}/check`;
        const result = await this.caller.call('GET', resource, path, undefined, params, queryParameters, multiQueryParameters, headers, config);
        if (result.statusCode === 200) {
            return { statusCode: 200, headers: result.headers, result: JSON.parse(result.body) };
        }
        else if (result.statusCode === 400) {
            return { statusCode: 400, headers: result.headers, result: result.body };
        }
        else if (result.statusCode === 401) {
            return { statusCode: 401, headers: result.headers, result: result.body };
        }
        else if (result.statusCode === 403) {
            return { statusCode: 403, headers: result.headers, result: result.body };
        }
        else if (result.statusCode === 500) {
            return { statusCode: 500, headers: result.headers, result: result.body };
        }
        throw new Error(`Unknown status ${result.statusCode} returned from ${path}`);
    }
    async getQueries(params, queryParameters, multiQueryParameters, headers = {}, config = {}) {
        const resource = '/monitor/{monitorId}/check/{checkId}/query';
        const path = `/monitor/${params.monitorId}/check/${params.checkId}/query`;
        const result = await this.caller.call('GET', resource, path, undefined, params, queryParameters, multiQueryParameters, headers, config);
        if (result.statusCode === 200) {
            return { statusCode: 200, headers: result.headers, result: JSON.parse(result.body) };
        }
        else if (result.statusCode === 400) {
            return { statusCode: 400, headers: result.headers, result: result.body };
        }
        else if (result.statusCode === 401) {
            return { statusCode: 401, headers: result.headers, result: result.body };
        }
        else if (result.statusCode === 403) {
            return { statusCode: 403, headers: result.headers, result: result.body };
        }
        else if (result.statusCode === 500) {
            return { statusCode: 500, headers: result.headers, result: result.body };
        }
        throw new Error(`Unknown status ${result.statusCode} returned from ${path}`);
    }
}
export * from './model.js';
//# sourceMappingURL=sdk.js.map